Package org.linphone.mediastream

# Class MediastreamerAndroidContext

java.lang.Object
org.linphone.mediastream.MediastreamerAndroidContext

public class MediastreamerAndroidContext extends Object

## Method Summary

Modifier and Type
Method
Description
`static boolean`
`checkMediaCodecAvailability(String mimeType)`
`static void`
`clearCommunicationDevice()`
`static void`
`disableAudioRouteChanges(boolean disable)`
`static void`
`enableEarpiece()`
`static void`
`enableFilterFromName(String name, boolean enable)`
Deprecated.
`static void`
`enableSpeaker()`
`static boolean`
`filterFromNameEnabled(String name)`
Deprecated.
`static android.media.AudioDeviceInfo[]`
`getAudioDevices(String device_dir)`
`static android.content.Context`
`getContext()`
`static int`
`getDeviceFavoriteBufferSize()`
`static int`
`getDeviceFavoriteSampleRate()`
`static String`
`getNativeLibrariesDirectory()`
`static boolean`
`getSpeakerphoneAlwaysOn(Factory factory)`
`static void`
`hackVolume()`
`static void`
`hackVolumeOnStream(int stream)`
`static boolean`
`isAudioRouteChangesDisabled()`
`static boolean`
`isCameraPermissionGranted()`
`static boolean`
`isRecordAudioPermissionGranted()`
`static boolean`
`setCommunicationDevice(int id)`
`static void`
`setContext(Object c)`
`static void`
`startBluetooth()`
`static void`
`stopBluetooth()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getContext

public static android.content.Context getContext()

### getDeviceFavoriteSampleRate

public static int getDeviceFavoriteSampleRate()

### getDeviceFavoriteBufferSize

public static int getDeviceFavoriteBufferSize()

### getNativeLibrariesDirectory

public static String getNativeLibrariesDirectory()

### setContext

public static void setContext(Object c)

### getAudioDevices

public static android.media.AudioDeviceInfo[] getAudioDevices(String device_dir)

### getSpeakerphoneAlwaysOn

public static boolean getSpeakerphoneAlwaysOn(Factory factory)

### enableFilterFromName

public static void enableFilterFromName(String name, boolean enable) throws MediastreamException
Deprecated.
Specifies if a filter is enabled or not.

Parameters:
  `name` - A name for the filter. refer to ms2 internals to get list of filters
  `enable` - Whether to enable or not the filter
Throws:
  `MediastreamException` - if filter name is unknown

### filterFromNameEnabled

public static boolean filterFromNameEnabled(String name)
Deprecated.
Specifies if a filter is enabled or not.

Parameters:
  `name` - A name for the filter. refer to ms2 internals to get list of filters
Returns:
  enable, true/false

### isAudioRouteChangesDisabled

public static boolean isAudioRouteChangesDisabled()

### disableAudioRouteChanges

public static void disableAudioRouteChanges(boolean disable)

### enableSpeaker

public static void enableSpeaker()

### enableEarpiece

public static void enableEarpiece()

### startBluetooth

public static void startBluetooth()

### stopBluetooth

public static void stopBluetooth()

### hackVolume

public static void hackVolume()

### hackVolumeOnStream

public static void hackVolumeOnStream(int stream)

### isRecordAudioPermissionGranted

public static boolean isRecordAudioPermissionGranted()

### isCameraPermissionGranted

public static boolean isCameraPermissionGranted()

### setCommunicationDevice

public static boolean setCommunicationDevice(int id)

### clearCommunicationDevice

public static void clearCommunicationDevice()

### checkMediaCodecAvailability

public static boolean checkMediaCodecAvailability(String mimeType)